Name:		perl-Carp-Fix-1_25
Version:	1.000001
Release:	4%{?dist}
Summary:	Smooth over incompatible changes in Carp 1.25
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Carp-Fix-1_25
Source0:	http://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/Carp-Fix-1_25-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Carp 1.25 made a change to its formatting, adding a period at the end of the
message. This can mess up tests and code that are looking for error messages.
Carp::Fix::1_25 makes the message consistent, regardless of what version of
Carp you're using.

Carp::Fix::1_25 exports its own carp functions, which change the Carp message
to match the 1.25 version. Carp::Fix::1_25 otherwise acts exactly like Carp and
it will honor Carp global variables such as @CARP_NOT and %%Carp::Internal.

Why do this instead of just upgrading Carp? Upgrading Carp would affect all
installed code all at once. You might not be ready for that, or you might not
want your module to foist that on its users. This lets you fix things one
namespace at a time.

%prep
%setup -q -n Carp-Fix-1_25-%{version}

# Unbundle Test-Simple and use the system one (#998410)
rm -rf t/lib/Test
sed -i -e '/^t\/lib\/Test\//d' MANIFEST

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Carp/
%{_mandir}/man3/Carp::Fix::1_25.3pm*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 22 2013 Paul Howarth <paul@city-fan.org> - 1.000001-3
- Unbundle Test-Simple and use the system one (#998410)
- Since we now require Test::More ≥ 0.88, drop EPEL-5 compatibility

* Mon Aug 19 2013 Paul Howarth <paul@city-fan.org> - 1.000001-2
- Sanitize for Fedora submission

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 1.000001-1
- Initial RPM version
